.browsehappy {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

body {
  padding: 0;
}

.wrapping-text {
  width: 400px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

/* Everything but the jumbotron gets side spacing for mobile first views */
.header,
.marketing,
.footer {
  padding-left: 15px;
  padding-right: 15px;
}

/* Custom page header */
.header {
  border-bottom: 1px solid #e5e5e5;
  margin-bottom: 10px;
}

.header-chart {
  border-bottom: 1px solid #ffffff;
  margin-bottom: 10px;
}
/* Make the masthead heading the same height as the navigation */
.header h3 {
  margin-top: 0;
  margin-bottom: 0;
  line-height: 40px;
  padding-bottom: 19px;
}

/* Custom page footer */
.footer {
  padding-top: 19px;
  color: #777;
  border-top: 1px solid #e5e5e5;
}

.container-narrow > hr {
  margin: 30px 0;
}

/* Main marketing message and sign up button */
.jumbotron {
  text-align: center;
  border-bottom: 1px solid #e5e5e5;
}
.jumbotron .btn {
  font-size: 21px;
  padding: 14px 24px;
}

/* Supporting marketing content */
.marketing {
  margin: 40px 0;
}
.marketing p + h4 {
  margin-top: 28px;
}

/* Responsive: Small Phones and up */
@media screen and (min-width: 320px) {
  .ngdialog.ngdialog-theme-default .ngdialog-content {
    width: 88% !important;
    overflow-y: scroll !important;
    max-height: 120% !important;
  }
  .wrapping-text {
    width: 50px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }
}

/* Responsive: Portrait tablets and up */
@media screen and (min-width: 320px) {
  .container {
    max-width: 730px;
  }
  .wrapping-text {
    width: 50px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }

  /* Remove the padding we set earlier */
  .header,
  .marketing,
  .footer {
    padding-left: 0;
    padding-right: 0;
  }
  /* Space out the masthead */
  .header {
    margin-bottom: 30px;
  }
  /* Remove the bottom border on the jumbotron for visual effect */
  .jumbotron {
    border-bottom: 0;
  }

  .btn-default {
    transition: all 0.3s ease 0s !important;
  }

  .btn-default:hover {
    color: white !important;
    /*background-color: rgb(0, 188, 164) !important;*/
  }
}

.ngdialog.ngdialog-theme-default .ngdialog-content {
  width: 88% !important;
  overflow-y: scroll !important;
  max-height: 102% !important;
}
.panel-default > .panel-heading > span {
  color: #333;
  background-color: #f5f5f5;
  border-color: #ddd;
  font-size: 30px;
}
.select-display {
  width: 10% !important;
  margin: 0 0 15px 10px !important;
}
.required {
  color: red;
}
.ngdialog-registrar-recurso .ngdialog-content {
  width: 50% !important;
  overflow-y: scroll !important;
  max-height: 102% !important;
}
.alert-dismissable .close,
.alert-dismissible .close {
  position: relative !important;
  top: 0px !important;
  right: 0px !important;
  color: inherit !important;
}

.ngdialog-registrar-recurso .ngdialog-content {
  width: 50% !important;
  overflow-y: scroll !important;
  max-height: 102% !important;
}
.alert-dismissable .close,
.alert-dismissible .close {
  position: relative !important;
  top: 0px !important;
  right: 0px !important;
  color: inherit !important;
}

.ngdialog-registrar-recurso .ngdialog-content {
  width: 50% !important;
  overflow-y: scroll !important;
  max-height: 102% !important;
}
.alert-dismissable .close,
.alert-dismissible .close {
  position: relative !important;
  top: 0px !important;
  right: 0px !important;
  color: inherit !important;
}

.info-icon-tool {
  padding: 5px;
}

.form-control-area {
  font-size: 13px;
  display: block;
  float: none;
  background: #fff;
  width: 100%;
  height: 34px;
  padding: 6px 12px;
  color: #2b2f33;
  border: #ffffff solid 1px;
  box-shadow: inset 1px 1px 3px #ffffff;
}

.btn-tools-table {
  line-height: 20px !important;
  height: 20px !important;
  min-width: 20px !important;
}

.alert-success-toast {
  color: #fff;
  border-color: #29b765;
  background: #2ecc71;
  padding-top: 0px !important;
}

.alert-error-toast {
  color: #fff;
  border-color: #cf4436;
  background: #e74c3c;
  padding-top: 0px !important;
}

.alert-danger-toast {
  color: #fff;
  border-color: #cf4436;
  background: #e74c3c;
  padding-top: 0px !important;
}

.alert-info-toast {
  color: #fff;
  background: #65a6ff;
  border-color: #5388d1;
  padding-top: 0px !important;
}

.alert-warning-toast {
  color: #fff;
  background: #fc0;
  border-color: #deb200;
  padding-top: 0px !important;
}

.btn-group-plus {
  border-top-left-radius: 0px !important;
  border-bottom-left-radius: 0px !important;
}
.btn-group-field {
  border-top-right-radius: 0px !important;
  border-bottom-right-radius: 0px !important;
}

.wrapping-text {
  width: 50px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.select-group-field {
  -webkit-appearance: none;
  -webkit-border-top-right-radius: 0px !important;
  -webkit-border-bottom-right-radius: 0px !important;
  -moz-appearance: none;
  -moz-border-top-right-radius: 0px !important;
  -moz-border-bottom-right-radius: 0px !important;
}

.bootstrap .tags {
  font-size: 13px;
  height: 34px;
  color: #2b2f33;

  background-color: #fff;
  border: #dfe8f1 solid 1px;
  border-radius: 4px;
  box-shadow: inset 1px 1px 3px #f6f6f6;
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}

.bootstrap .tags.focused {
  border-color: #3da6ff;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
    0 0 8px rgba(102, 175, 233, 0.6);
}

.bootstrap .tags .tag-item {
  background: #428bca;
  border: 1px solid #357ebd;
  border-radius: 4px;
  color: #fff;
}

.bootstrap .tags .tag-item.selected {
  background: #d9534f;
  border: 1px solid #d43f3a;
  border-radius: 4px;
  color: #fff;
}

.bootstrap .tags .tag-item button {
  background: transparent;
  color: #000;
  opacity: 0.4;
}

.bootstrap .autocomplete {
  border-radius: 4px;
}

.bootstrap .autocomplete .suggestion-item.selected {
  color: #262626;
  background-color: #e9e9e9;
}

.bootstrap .autocomplete .suggestion-item em {
  font-weight: normal;
  background-color: #ffff00;
}

.bootstrap .autocomplete .suggestion-item.selected em {
  color: #262626;
  background-color: #ffff00;
}

.spinner {
  margin: 0;
  width: 70px;
  height: 18px;
  margin: -35px 0 0 -9px;
  position: absolute;
  top: 50%;
  left: 50%;
  text-align: center;
}
.spinner > div {
  width: 18px;
  height: 18px;
  background-color: #333;
  border-radius: 100%;
  display: inline-block;
  animation: bouncedelay 1.4s infinite ease-in-out;
  animation-fill-mode: both;
}
.spinner .bounce1 {
  animation-delay: -0.32s;
}
.spinner .bounce2 {
  animation-delay: -0.16s;
}
@keyframes bouncedelay {
  0%,
  80%,
  100% {
    transform: scale(0);
    -webkit-transform: scale(0);
  }
  40% {
    transform: scale(1);
    -webkit-transform: scale(1);
  }
}
.menu-item-box {
  width: 100px;
  height: 100px;
  line-height: 100px;
}
@media (min-width: 1200px) {
  .wrapping-text {
    width: 200px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }
}
.container {
  width: 100% !important;
}
.alert-dismissable .close,
.alert-dismissible .close {
  position: relative;
  top: -2px;
  right: 0px;
  color: inherit;
  padding-right: 5px;
  padding-top: 20px;
}
.info-user-profile {
  padding-top: 5px;
}
@keyframes bouncedelay {
  0%,
  80%,
  100% {
    transform: scale(0);
    -webkit-transform: scale(0);
  }
}
@media screen and (max-width: 650px) {
  .table-scroll-x {
    overflow-x: scroll;
  }
  .pagination {
    margin-top: 55px;
  }

  .wrapping-text {
    width: 50px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }
}

@media screen and (max-width: 955px) {
  .table-scroll-x {
    overflow-x: scroll;
  }
  .pagination {
    margin-top: 55px;
  }

  .wrapping-text {
    width: 50px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }
}

@media screen and (max-width: 1280px) {
  .table-scroll-x {
    overflow-x: scroll;
  }
}

form .progress {
  line-height: 15px;
}

.progress {
  display: inline-block;
  width: 100px;
  border: 3px groove #ccc;
  margin-bottom: 0px !important;
  vertical-align: middle;
}

.progress div {
  font-size: smaller;
  background: #2ecc71;
  width: 0;
}

@media screen and (max-width: 899px) {
  .fixed-sidebar #page-header {
    padding-left: 0px !important;
  }

  .wrapping-text {
    width: 100px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }
}

.content-background-white {
  background: #ffffff !important;
}

.content-background-heaven {
  background: #fafcfe !important;
}

.content-descripcion {
  position: absolute;
  width: 100%;
  left: 0px;
  top: 8px;
  bottom: 20px;
  overflow: scroll;
  height: 80%;
  max-height: 80%;
  padding-left: 10px;
}

.form-control-select-ui {
  left: -13px;
  top: -7px;
  border-right: 0px !important;
  cursor: pointer;
  width: 104% !important;
}
.ui-search-positio-rel {
  height: 19px !important;
  position: relative !important;
  width: 100% !important;
}

.form-wizard > ul > li a,
.form-wizard > ul > li a:hover {
  text-decoration: none;
}

.form-wizard > ul > li.active .wizard-step.working {
  color: #fff !important;
  background: #ffcc00 !important;
}

.form-wizard > ul > li a .wizard-step.complete {
  color: #fff !important;
  background: #00bca4 !important;
}

.form-wizard > ul > li.active .wizard-step.error {
  color: #fff !important;
  background: #ff2900 !important;
}

.form-wizard > ul > li a.wizard-step {
  font-size: 16px;
  line-height: 42px;
  position: relative;
  z-index: 5;
  display: block;
  width: 40px;
  height: 40px;
  margin: 0 auto 5px;
  cursor: pointer;
  text-align: center;
  color: #fafafa;
  border-radius: 100px;
  background: #ccc;
}

.span-growl-titulo {
  margin-left: 5px;
}
.span-growl-msg {
  padding-left: 42px;
}

li.uib-tab.nav-item.active > a {
  line-height: 47px !important;
  height: 49px !important;
  background: #fff !important;
  color: #636667 !important;
  border: 0 !important;
}

li.uib-tab.nav-item.active > a:hover {
  border: 0 solid #fff !important;
}

.year:active,
.day:active {
  background-image: -webkit-linear-gradient(top, #0094d8, #0094d8) !important;
  /*// background-color: #0094D8 !important;*/
}

.wrapping-text {
  min-width: 100px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
.margTop0 > div.bootstrap-switch {
  margin-top: 0px;
  height: 34px;
}
.margTop0 > div > div.bootstrap-switch-container > span {
  height: 34px;
  line-height: 2em;
}
.popup-admisiones {
  top: 251px !important;
  left: 0px !important;
  margin: auto !important;
  right: 0px !important;
  position: absolute;
}

.dias {
  border: 2px #ccc solid;
}
.ajusteDias {
  text-align: center;
  padding-top: 10px;
  padding-left: 44px;
  overflow-x: hidden;
}

input[readonly] {
  background-color: white !important;
  color: #2b2f33 !important;
  border-radius: 3px;
  border: #dfe8f1 solid 1px;
}
.money {
  text-align: right !important;
}

.dias {
  border: 1px #ccc solid;
}

.borderTotales {
  border-color: green !important;
  color: green !important;
  border: 2px #ccc solid;
}

.ajusteDias {
  text-align: center;
  padding-top: 10px;
  padding-left: 44px;
  overflow-x: hidden;
}

.descripcion-table {
  width: 300px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  word-wrap: break-word;
}

.fixed-header .popover {
  position: absolute !important;
  -webkit-transform: translate3d(0, 0, 0);
}

.opciones-table {
  min-width: 150px;
  width: 150px;
}

#contenido-ui-select {
  width: 98%;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.login-view-height {
  background: #0096d4;
  height: 1000px;
}

@media (min-width: 992px) {
  .login-view .boxed-layout #page-header,
  .container {
    max-width: 100%;
  }
}

.bootstrap-switch-id-input-sw-codeudor {
  height: 34px;
  margin-top: 0 !important;
}
div.bootstrap-switch-id-input-sw-codeudor
  div.bootstrap-switch-container
  span.bootstrap-switch-handle-off,
div.bootstrap-switch-id-terminos
  div.bootstrap-switch-container
  span.bootstrap-switch-handle-off,
div.bootstrap-switch-id-input-sw-codeudor
  div.bootstrap-switch-container
  span.bootstrap-switch-handle-on,
div.bootstrap-switch-id-terminos
  div.bootstrap-switch-container
  span.bootstrap-switch-handle-on {
  height: 37px;
  padding-top: 10px;
  padding-bottom: 10px;
}

.ivh-treeview-node.ng-enter {
  animation: my-enter-animation 0.5s linear;
}

.ivh-treeview-node.ng-leave {
  animation: my-leave-animation 0.5s linear;
}

/* or class based animations */
.ivh-treeview-node.ng-hide {
  transition: 0.5s linear all;
  opacity: 0;
}

/* alternatively, just strike-through filtered out nodes */
.ivh-treeview-node.ng-hide {
  display: block !important;
}

.ivh-treeview-node.ng-hide .ivh-treeview-node-label {
  color: red !important;
  text-decoration: line-through;
  zoom: 1.2;
}

/*# sourceMappingURL=data:application/json;base64,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 */